namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter17.Listing17_01
{
    using System;
    using System.Collections.Generic;

    public class Program
    {
        public static void Main()
        {
            List<string> list = new List<string>();

            // Listy są automatycznie wydłużane w reakcji
            // na dodawanie elementów.
            list.Add("Apsik");
            list.Add("Wesołek");
            list.Add("Gapcio");
            list.Add("Mędrek");
            list.Add("Śpioszek");
            list.Add("Nieśmiałek");
            list.Add("Gburek");

            list.Sort();

            Console.WriteLine(
              $"W porządku alfabetycznym pierwszy krasnal to { list[0] }, a "
              + $"ostatnim jest { list[6] }.");

            list.Remove("Gburek");
        }
    }
}
